package w83b.w83bOperacionesPaso.w83bIncidencias;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import w83b.w83bBeans.W83bIncidenciasBean;
import w83b.w83bBeans.W83bNuevaIncidenciasBean;
import w83b.w83bBeans.W83bUsuarioXLNetsBean;
import w83b.w83bUtilidadesComunes.W83bClsConstantes;
import w83b.w83bUtilidadesComunes.W83bUtilidadesN38API;
import es.ejie.frmk.presentacion.operacion.paso.Q70ActionPasoOP;
import es.ejie.frmk.presentacion.sesiondatos.Q70ContextoEJIE;

public class W83bIrEdicionIncidenciaAction extends Q70ActionPasoOP{

	
	protected void processOP(Q70ContextoEJIE contexto, ActionErrors errores, ActionMapping mapping,
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {
		
		contexto.set("modoPantalla",W83bClsConstantes.MODO_EDICION);
		if("incidencias".equals((String)contexto.get("w83bSubOpFlag"))){
			contexto.set("migas","inicio.incidencias.busqIncidencias.consultaIncidencias");
			contexto.set("strTitleKey","comun.incidencias.consultaIncidencias");
		}
		W83bUsuarioXLNetsBean usuario= (W83bUsuarioXLNetsBean)contexto.get(W83bClsConstantes.CONSTANTE_CONTEXTO_USUARIO);
		contexto.set("w83bPerfilUsuario", W83bUtilidadesN38API.elegirAdministradorConsulta(usuario.getPerfilXLNets()));
		
		String codSelec = (String)contexto.get("codSelec");
		
		List listaIncidencias = (ArrayList)contexto.get("w83bListaIncidencias");
		W83bIncidenciasBean incidencias =  (W83bIncidenciasBean)listaIncidencias.get(Integer.parseInt(codSelec));		
		
		
		W83bNuevaIncidenciasBean nuevaIncidencia = new W83bNuevaIncidenciasBean();
		
		nuevaIncidencia.setIncidenciaTerritorio(incidencias.getTerritorioIncidencia());
		nuevaIncidencia.setIncidenciaAnyo(incidencias.getAnyoIncidencia());
		nuevaIncidencia.setIncidenciaNumero(incidencias.getNumIncidencia());
		
		contexto.set("w83bNuevaIncidenciasBean",nuevaIncidencia);
		
		contexto.set("w83bRegManual", usuario.getRegManual());
		
		contexto.set("w83bMapaFileIncidencias",new HashMap());
		
	}

	protected ActionForward processForward(Q70ContextoEJIE contexto, ActionErrors errors, ActionMapping mapping, 
			ActionForm form, HttpServletRequest request, HttpServletResponse response) throws Exception {

		if(!"true".equals((String)contexto.get("guardado"))){
			return mapping.findForward("error");
		}else{
			return mapping.findForward("ok");			
		}

	}

}
